Bug 1018531 - SIGSEGV when selecting polygons with i915 (libdricore9.2.0.so)
SIGSEGV when selecting polygons with i915 (libdricore9.2.0.so)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 20:14 EDT by Joe AbdHalim
Modified: 2015-02-18 06:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:36:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 70402 None None None Never

  None (edit)
Description Joe AbdHalim 2013-10-12 20:14:58 EDT
Description of problem:
Softimage crashes anytime a polygon is selected. The same behavior didn't happen when tested on other laptops with other drivers.

Version-Release number of selected component (if applicable):
mesa libdricore9.2.0.so

How reproducible:
Always

Steps to Reproduce:
1. Just selecting any polygon.
2.
3.

Actual results:
SIGSEGV

Expected results:
Polygon selection shouldn't crash an application.

Additional info:

Stepping through gdb produced this;

Program received signal SIGSEGV, Segmentation fault.
0x00007fff9a15e284 in run_vp (ctx=0x109aea00, stage=<optimized out>) at ../../../src/mesa/tnl/t_vb_program.c:369
369                 COPY_CLEAN_4V(machine->VertAttribs[attr], size, data);
Comment 1 Igor Gnatenko 2013-10-13 04:15:28 EDT
Could you attach sample program and mesa version ?
$ rpm -qa mesa
Comment 2 Joe AbdHalim 2013-10-13 09:13:26 EDT
Hi,

 Here's the output;

$ rpm -qa | grep mesa
mesa-libEGL-devel-9.2-1.20130919.fc19.x86_64
mesa-libEGL-9.2-1.20130919.fc19.x86_64
mesa-libGL-9.2-1.20130919.fc19.i686
mesa-debuginfo-9.2-1.20130919.fc19.x86_64
mesa-libwayland-egl-9.2-1.20130919.fc19.x86_64
mesa-libgbm-9.2-1.20130919.fc19.x86_64
mesa-libxatracker-9.2-1.20130919.fc19.x86_64
mesa-libGL-9.2-1.20130919.fc19.x86_64
mesa-libGLU-devel-9.0.0-2.fc19.x86_64
mesa-libGL-devel-9.2-1.20130919.fc19.x86_64
mesa-libGLES-9.2-1.20130919.fc19.x86_64
mesa-dri-drivers-9.2-1.20130919.fc19.x86_64
mesa-libGLU-9.0.0-2.fc19.i686
mesa-libglapi-9.2-1.20130919.fc19.x86_64
mesa-libglapi-9.2-1.20130919.fc19.i686
mesa-filesystem-9.2-1.20130919.fc19.x86_64
mesa-libGLU-9.0.0-2.fc19.x86_64

Thanks.
Comment 3 Joe AbdHalim 2013-10-13 09:24:03 EDT
I googled about the crash and the same type of crash (vbo polygon selection) happened to Blender 3D before (mesa 9.0). I guess this is another use case of vbo selection that wasn't tested at the time? The crash didn't happen with proprietary drivers of both AMD and NVIDIA so I I guess it cancels out the problem with the software.
Comment 4 Igor Gnatenko 2013-10-13 09:34:30 EDT
(In reply to Joe AbdHalim from comment #3)
> I googled about the crash and the same type of crash (vbo polygon selection)
> happened to Blender 3D before (mesa 9.0). I guess this is another use case
> of vbo selection that wasn't tested at the time? The crash didn't happen
> with proprietary drivers of both AMD and NVIDIA so I I guess it cancels out
> the problem with the software.
Attach source of you sample. I will some test it and send bugreport to upstream w/ more info.
Comment 5 Joe AbdHalim 2013-10-13 09:48:39 EDT
I'm sorry the application is a closed source commercial product from Autodesk.

How can I proceed to get this checked? The application was running fine with NVIDIA and AMD's proprietary drivers so I guess the application can be ruled out as the main culprit?

Thanks.
Comment 6 Igor Gnatenko 2013-10-13 10:14:22 EDT
(In reply to Joe AbdHalim from comment #5)
> I'm sorry the application is a closed source commercial product from
> Autodesk.
> 
> How can I proceed to get this checked? The application was running fine with
> NVIDIA and AMD's proprietary drivers so I guess the application can be ruled
> out as the main culprit?
> 
> Thanks.
We can't test proprietary products, but I'm filling bug to upstream.
Comment 7 Igor Gnatenko 2013-10-13 10:16:10 EDT
Ah. I see that you filled..
Comment 8 Fedora End Of Life 2015-01-09 17:20:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 06:36:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.